View Issue Details

IDProjectCategoryView StatusLast Update
0003989Talerauditorpublic2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.3Fixed in Version0.3 
Summary0003989: have ongoing safety/sanity checks
DescriptionWe should enforce:
* total /deposit per coin must be less than /withdraw for that coin
* have business accounting logic that lets us know about total exchange income
TagsNo tags attached.

Relationships

child of 0003775 closedChristian Grothoff need to implement basic auditing 

Activities

Christian Grothoff

2017-03-18 23:43

manager   ~0011942

Current auditor logic supports all these now, but not yet tested.

Christian Grothoff

2017-03-19 06:51

manager   ~0011946

Implemented as of 9b4d063..424b327.

Testing will be tracked in 0003775.

Issue History

Date Modified Username Field Change
2015-09-19 21:11 Christian Grothoff New Issue
2015-09-19 21:11 Christian Grothoff Status new => assigned
2015-09-19 21:11 Christian Grothoff Assigned To => Christian Grothoff
2015-10-18 00:26 Christian Grothoff Relationship added parent of 0003887
2016-02-18 15:43 Christian Grothoff Category mint => exchange
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004318
2016-04-10 14:36 Christian Grothoff Description Updated View Revisions
2016-05-05 17:44 Christian Grothoff Target Version 0.3 => 0.4
2016-05-26 21:55 Christian Grothoff Target Version 0.4 => 0.1
2016-06-03 13:36 Christian Grothoff Target Version 0.1 => 0.2
2016-06-03 13:36 Christian Grothoff Target Version 0.2 => 0.3
2016-09-23 17:48 Christian Grothoff Category exchange => auditor
2016-09-26 15:22 Christian Grothoff Relationship added child of 0003775
2016-09-26 15:22 Christian Grothoff Relationship deleted parent of 0003887
2017-03-18 23:42 Christian Grothoff Description Updated View Revisions
2017-03-18 23:43 Christian Grothoff Note Added: 0011942
2017-03-19 06:51 Christian Grothoff Status assigned => resolved
2017-03-19 06:51 Christian Grothoff Resolution open => fixed
2017-03-19 06:51 Christian Grothoff Fixed in Version => 0.3
2017-03-19 06:51 Christian Grothoff Note Added: 0011946
2017-06-06 14:18 Christian Grothoff Status resolved => closed